//
//  UITabBarItem.h
//  UIKit
//
//  Copyright 2008 Apple Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIBarItem.h>
#import <UIKit/UIGeometry.h>
#import <UIKit/UIKitDefines.h>

typedef enum {
    UITabBarSystemItemMore,
    UITabBarSystemItemFavorites,
    UITabBarSystemItemFeatured,
    UITabBarSystemItemTopRated,
    UITabBarSystemItemRecents,
    UITabBarSystemItemContacts,
    UITabBarSystemItemHistory,
    UITabBarSystemItemBookmarks,
    UITabBarSystemItemSearch,
    UITabBarSystemItemDownloads,
    UITabBarSystemItemMostRecent,
    UITabBarSystemItemMostViewed,
} UITabBarSystemItem;

@class UIView, UIImage;

UIKIT_EXTERN_CLASS @interface UITabBarItem : UIBarItem {
@private
    NSString     *_title;
    NSSet        *_possibleTitles;
    SEL           _action;
    id            _target;
    UIImage      *_image;
    UIImage      *_selectedImage;
    UIImage      *_unselectedImage;
    UIEdgeInsets  _imageInsets;
    NSString     *_badgeValue;
    UIView       *_view;
    NSInteger     _tag;
    struct {
	unsigned int enabled:1;
	unsigned int style:3;
	unsigned int isSystemItem:1;
	unsigned int systemItem:7;
	unsigned int viewIsCustom:1;
	unsigned int animatedBadge:1;
	unsigned int customSelectedImage:1;
	unsigned int customUnselectedImage:1;
    } _tabBarItemFlags;
}

- (id)initWithTitle:(NSString *)title image:(UIImage *)image tag:(NSInteger)tag; // selected image autogenerated
- (id)initWithTabBarSystemItem:(UITabBarSystemItem)systemItem tag:(NSInteger)tag;

@property(nonatomic,copy) NSString *badgeValue;    // default is nil

@end
